﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.Primitives;
using Telerik.WinControls.UI;

namespace SampleApplication
{
    public partial class Form1 : ShapedForm
    {
        public Form1()
        {
            InitializeComponent();
            this.Shape = new RoundRectShape(5);
            this.SetupexampleCarousel();
        }

        private void SetupexampleCarousel()
        {
            //item height includes the reflection;
            this.exampleCarousel.CarouselElement.MaxItemSize = new Size(250, 250);
            this.exampleCarousel.CarouselElement.TextElement.Font = new Font("Arial", 9.5f);
            this.exampleCarousel.CarouselElement.TextElement.ForeColor = Color.FromArgb(95, 149, 146);
            this.exampleCarousel.CarouselElement.TextTitleElement.Font = new Font("Arial", 14);
            this.exampleCarousel.CarouselElement.TextTitleElement.ForeColor = Color.FromArgb(24, 206, 208);

            FillPrimitive fill = (FillPrimitive)this.exampleCarousel.CarouselElement.Children[0];

            fill.BackColor = Color.FromArgb(15, 235, 235, 255);
            fill.BackColor2 = Color.FromArgb(0, 0, 0, 0);
            fill.BackColor3 = Color.FromArgb(0, 8, 14);
            fill.BackColor4 = Color.FromArgb(0, 0, 0);
            fill.NumberOfColors = 2;
            fill.GradientAngle = 0.0f;
            fill.GradientPercentage = 0.04f;
            fill.GradientPercentage2 = 0.47f;

            FillPrimitive spotLight = (FillPrimitive)this.exampleCarousel.CarouselElement.Children[1];
            spotLight.ZIndex = -1;
            spotLight.BackColor = Color.FromArgb(0, 20, 123, 166);
            spotLight.BackColor2 = Color.FromArgb(160, 0, 145, 206);
            spotLight.BackColor3 = Color.FromArgb(210, 57, 151, 148);
            spotLight.NumberOfColors = 3;
            spotLight.GradientStyle = GradientStyles.Radial;
            spotLight.GradientPercentage = 0.66f;
            spotLight.GradientPercentage2 = 0.88f;
        }
    }
}