using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using Telerik.WinControls;

namespace Telerik.WinControls.UI
{
    public class RadCarousel: RadControl
    {
        private RadCarouselElement carouselElement;
        
        public RadCarousel()
        {
            this.UseNewLayoutSystem = true;
            this.ThemeName = "no theme";
        }

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public RadCarouselElement CarouselElement
        {
            get
            {
                this.EnsureChildItems();
                return carouselElement;
            }
        }

        protected override void CreateChildItems(RadElement parent)
        {
            this.carouselElement = new RadCarouselElement();
            parent.Children.Add(this.CarouselElement);
        }

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        [Browsable(true), Category(RadDesignCategory.DataCategory)]
        [RadNewItem("Item", false)]
        public RadItemCollection Items
        {
            get
            {
                return this.CarouselElement.Items;
            }
        }
    }
}
